Documentación / CRM / Comunicaciones
Comunicaciones
Correos - Eliminación multiple
DELETE /comm/inbox
Permite eliminar varios correo de la bandeja de entrada del sistema.
Tenga en cuenta que al ejecutar este método, se eliminará o reemplazará permanente el registro.
Parámetros Nombre Tipo Validación Descripción tkEmailString Requerido Lista de Código token de un correo separados por coma, todos los correos que coincidan con el mismo remitente serán movidos.
Respuesta Nombre Tipo Descripción codeInteger Proporciona un código de verificación como respuesta. msgString Proporciona un mensaje descriptivo o razón dependiendo el resultado.
Solicitud
curl --request DELETE 'https://api.upnify.com/v4/comm/inbox' \
--header 'token: 00000000-0000-4000-8000-000000000001' \
--header 'Content-Type: application/json' \
--data-raw '{"tkEmail":"00000000-0000-4000-8000-000000000010"}'const response = await fetch('https://api.upnify.com/v4/comm/inbox', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());const response = await fetch('https://api.upnify.com/v4/comm/inbox', { method: 'DELETE', headers: { token: '00000000-0000-4000-8000-000000000001', 'Content-Type': 'application/json' }, body: JSON.stringify({"tkEmail":"00000000-0000-4000-8000-000000000010"}) });
console.log(await response.json());import requests
response = requests.delete('https://api.upnify.com/v4/comm/inbox', headers={'token':'00000000-0000-4000-8000-000000000001','Content-Type':'application/json'}, json={"tkEmail":"00000000-0000-4000-8000-000000000010"})
print(response.json())package main
import ("bytes"; "fmt"; "io"; "net/http")
func main() {
req, _ := http.NewRequest("DELETE", "https://api.upnify.com/v4/comm/inbox", bytes.NewBufferString("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}"))
req.Header.Set("token", "00000000-0000-4000-8000-000000000001")
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}using System.Net.Http;
using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("token", "00000000-0000-4000-8000-000000000001");
using var content = new StringContent("{\n \"tkEmail\": \"00000000-0000-4000-8000-000000000010\"\n}", Encoding.UTF8, "application/json");
var response = await client.DeleteAsync("https://api.upnify.com/v4/comm/inbox", content);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Respuesta
{
"code": 0,
"msg": "Ok"
}